# [Ethereum] Process contract call

Endpoint: POST /v1/ledgers/{ledgerId}/ethereum/call
Security: httpAuth

## Path parameters:

  - `ledgerId` (string, required)

## Request fields (application/json):

  - `contractAddress` (string, required)

  - `from` (any, required) — one of (discriminator: type):
    - Account:
      - `domainId` (string, required)
      - `accountId` (string, required)
      - `type` (string, required)
        Enum: "Account"
    - Address:
      - `address` (string, required)
      - `type` (string, required)
        Enum: "Address"

  - `value` (string)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `data` (string)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)


